## ispack-fftw2-ifc8.1 0.70-1

=== sample/snpack-openmp-test/Makefile ===
SHELL = /bin/sh

include ../../Mkinclude

LIBDIR = ../../
LIB = isp

.SUFFIXES: .f .o .out

clean:
	rm -f *.out
	rm -f *~

.f.out:
	$(FC) $(FLAGS) $< -L$(LIBDIR) -l$(LIB)  \
	-o $@

=== debian/changelog ===
ispack-fftw2-ifc8.1 (0.70-1) unstable; urgency=low

  * New upstream release
  * Bifurcated from ispack-ifc8.1 package.
  * Parameters for fftw in p2s2ga.F and p2g2sa.F are changed from the original.

 -- Shin-ichi Takehiro <takepiro@gfd-dennou.org>  Thu, 21 Jul 2005 14:39:41 +0900

ispack-ifc8.1 (0.61-1) unstable; urgency=low

  * Initial Release.

 -- MASUO NAKANO <masuo@noon>  Fri, 20 May 2005 18:14:32 +0900

=== debian/control ===
Source: ispack-fftw2-ifc8.1
Section: math
Priority: optional
Maintainer: MASUO NAKANO <masuo@noon>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: ispack-fftw2-ifc8.1
Architecture: i386
Depends: 
Recommends: ifc(>=8.1)
Suggests: fftw-no2underscore
Description: ISPACK FORTRAN subroutine library for scientific computing.
 This package is built with Intel Fortran compiler Ver.8.1. 'fftw2' 
 library is used for FFT transformation in P2PACK routines.
 Please visit http://www.gfd-dennou.org/arch/ispack/ (in Japanese). 

Package: ispack-doc
Architecture: all
Description: Documents and sample programs for ISPACK FORTRAN subroutine library. 
 This package contains manual and sample programs of ISPACK library. 
 Please visit http://www.gfd-dennou.org/arch/ispack/ (in Japanese).

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

include Mkinclude

#EXT=g77
#EXT=ifc
#EXT=ifc6
#EXT=ifc7
#EXT=ifc7.1
#EXT=ifc8
EXT=fftw2-ifc8.1
#EXT=ffc
#EXT=ffc3
#EXT=ffc4
#EXT=ffc5

package=ispack-$(EXT)
docpackage=ispack-doc

version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
version_major=$(shell expr `pwd` : '.*-\([0-9]*\).[0-9.]*')

build:
	$(checkdir)
	cp debian/control.$(EXT) debian/control
	cp debian/Mkinclude.$(EXT) Mkinclude
	$(MAKE)
	touch build

clean:
	$(checkdir)
	dh_clean
	-rm -f build
	-$(MAKE) veryclean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp `find debian/* -type d ! -name CVS` debian/files* core
	-rm -f debian/*substvars

binary-indep: checkroot build
	$(checkdir)
	install -d debian/tmp-doc/usr/share/doc/ispack-doc/tex
	install -d debian/tmp-doc/usr/share/doc/ispack-doc/manual
	for i in $(DIRS) ; do \
	   cd $$i/doc ; \
	   if [ -f $$i.tex ]; then \
	      cp $$i.tex ../../debian/tmp-doc/usr/share/doc/ispack-doc/tex/ ; \
	      platex $$i.tex ; dvipdfmx $$i.dvi ; \
	      rm $$i.aux $$i.log $$i.dvi ; \
	      mv $$i.pdf ../../debian/tmp-doc/usr/share/doc/ispack-doc/manual/ ;\
	   fi ; \
	   cd ../.. ; \
	done
	dh_installdocs -p$(docpackage) -Pdebian/tmp-doc sample \
		README TODO COPYRIGHT LGPL VERSION debian/README.Debian
	dh_installchangelogs -p$(docpackage) -Pdebian/tmp-doc CHANGELOG 
	dh_compress -X.pdf -X.tex -X.f -p$(package) -Pdebian/tmp-doc
	dh_installdeb -p$(docpackage) -Pdebian/tmp-doc
	dpkg-gencontrol -isp -p$(docpackage) -Pdebian/tmp-doc
	chown -R root.root debian/tmp-doc
	chmod -R go=rX debian/tmp-doc
	dpkg --build debian/tmp-doc ..


binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp `find debian/* -type d`
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	$(MAKE) shared
	$(MAKE) static
	dh_installdocs -p$(package) -Pdebian/tmp \
	        README TODO COPYRIGHT LGPL VERSION 
	dh_installchangelogs CHANGELOG 
	dh_strip -p$(package) -Pdebian/tmp
	dh_compress -p$(package) -Pdebian/tmp
	dh_fixperms -p$(package) -Pdebian/tmp
	dh_installdeb -p$(package) -Pdebian/tmp
	dpkg-gencontrol -isp -p$(package) -Pdebian/tmp
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
